Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1568486 - droplist with large amount of items do not display a search field
Summary: droplist with large amount of items do not display a search field
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Eric Winchell
QA Contact: Jad Haj Yahya
URL:
Whiteboard:
Depends On:
Blocks: 1571989
TreeView+ depends on / blocked
 
Reported: 2018-04-17 15:29 UTC by Felix Dewaleyne
Modified: 2021-06-10 15:51 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1571989 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:05:24 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Felix Dewaleyne 2018-04-17 15:29:08 UTC
Description of problem:
When showing a big list (e.g. 1015 items), there is a display issue for the dropdown list and the search field does not show up.

Version-Release number of selected component (if applicable):
5.9.1

How reproducible:
all the time

Steps to Reproduce:
1.create a dialog with a dropdown list populated by a method with 1015 elements or around
2.assign and use the dialog
3. use it and cause the droplist to be populated

Actual results:
the search field does not load 

Expected results:
the search field shows and allows to make a selection

Additional info:
screenshot attached.

Comment 7 CFME Bot 2018-04-23 14:48:04 UTC
New commit detected on ManageIQ/ui-components/master:

https://github.com/ManageIQ/ui-components/commit/5ea82b9ea35f80ad5b0e16af02021bc779c9522c
commit 5ea82b9ea35f80ad5b0e16af02021bc779c9522c
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Thu Apr 19 15:58:22 2018 -0400
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Thu Apr 19 15:58:22 2018 -0400

    fix cutoff dropdowns

    https://bugzilla.redhat.com/show_bug.cgi?id=1568486

 src/dialog-user/components/dialog-user/dialogField.html | 4 +
 1 file changed, 4 insertions(+)

Comment 9 Ruslana Babyuk 2018-05-02 10:09:23 UTC
Sorry, updated wrong bz


Note You need to log in before you can comment on or make changes to this bug.